#! /usr/bin/env node

const minimist = require('minimist');

const args = minimist(process.argv.slice(2));

require('dotenv').config();

if (args.automatedDeviceIds) {
    args.automatedDeviceIds = args.automatedDeviceIds.split(',');
}

if (args.automatedBrowserIds) {
    args.automatedBrowserIds = args.automatedBrowserIds.split(',');
}

async function execute(command, params) {
    return require(`./${command}.js`)(params);
}

if (!args._.length) {
    console.log(`testlio <command>

Usage:

testlio create-run        schedule a run
testlio <command> -h      quick help on <command>`);

    return;
}

const { _: command, ...params } = args;
execute(command, params).then((exitCode) => (process.exitCode = exitCode));
