const axios = require('axios');

module.exports = {
    sleep: (ms) =>
        new Promise((resolve) => {
            // eslint-disable-next-line no-promise-executor-return
            setTimeout(resolve, ms);
        }),
    findDeviceResult: async (collectionGuid, automatedBrowserOrAutomatedDeviceId, resultType, resultGuid) => {
        const { data, status } = await axios.get(`/result/v1/collections/${collectionGuid}/results/${resultGuid}`);

        if (status !== 200) {
            throw new Error(`Failed device result with ${resultType} id: ${automatedBrowserOrAutomatedDeviceId}`);
        }
        const deviceResult = data.deviceResults
            ? data.deviceResults.find((dr) => dr[resultType] === automatedBrowserOrAutomatedDeviceId)
            : null;
        return deviceResult ? deviceResult.id : null;
    },
    allAllowedProviders: ['aws', 'browserstack', 'local', 'sauce-labs', 'azure-playwright', 'bitbar']
};
